# Messages Object

> Source: https://truto.one/docs/api-reference/unified-crm-api/messages/

Schema for the `Messages` resource in **Unified CRM API**.

## Properties

- **`id`** _(string, required)_
  The message's unique identifier
- **`conversation`** _(object)_
  The parent conversation
  - **`id`** _(string)_
    The unique identifier
- **`content`** _(string)_
  The message body/content
- **`direction`** _(string)_
  The message direction (inbound/outbound)
- **`channel`** _(string)_
  The channel the message was sent on
- **`sender_type`** _(string)_
  The type of sender (agent, visitor, bot, etc.)
- **`created_at`** _(string)_
  The date and time of the message's creation
- **`updated_at`** _(string)_
  The date and time of the message's last update
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/crm/messages](/docs/api-reference/unified-crm-api/messages/list) — List Messages
- [POST /unified/crm/messages/get_original_content](/docs/api-reference/unified-crm-api/messages/get_original_content) — Get Original Content Messages
- [GET /unified/crm/messages/{id}](/docs/api-reference/unified-crm-api/messages/get) — Get Messages
